Page MenuHomePhabricator

FormatMetadataTest::testInvalidDate fails on PHP 7.2
Closed, ResolvedPublic

Description

4) FormatMetadataTest::testInvalidDate
Valid metadata extracted
Failed asserting that false is not equal to false.
/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/media/FormatMetadataTest.php:23
/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:420
/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94

Details

Related Gerrit Patches:

Event Timeline

Reedy created this task.Jun 9 2018, 2:46 AM
Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptJun 9 2018, 2:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy removed a project: Commons.Jun 9 2018, 2:49 AM
Vvjjkkii renamed this task from FormatMetadataTest::testInvalidDate fails on PHP 7.2 to ucbaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ucbaaaaaaa to FormatMetadataTest::testInvalidDate fails on PHP 7.2.Jul 2 2018, 3:03 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 443206 had a related patch set uploaded (by MaxSem; owner: Samwilson):
[mediawiki/core@master] Guard against uncountable tag values

https://gerrit.wikimedia.org/r/443206

Change 443206 merged by jenkins-bot:
[mediawiki/core@master] Guard against uncountable tag values

https://gerrit.wikimedia.org/r/443206

Change 448976 had a related patch set uploaded (by Paladox; owner: Samwilson):
[mediawiki/core@REL1_31] Guard against uncountable tag values

https://gerrit.wikimedia.org/r/448976

MaxSem closed this task as Resolved.Jul 28 2018, 9:46 PM
MaxSem assigned this task to Samwilson.

Change 448976 merged by jenkins-bot:
[mediawiki/core@REL1_31] Guard against uncountable tag values

https://gerrit.wikimedia.org/r/448976